
QGIS Application - Bug report #17243

QGIS 3 vertex editor problems

2017-10-04 09:48 AM - Andreas Neumann

Status: In Progress

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25141

Description

In QGIS 3, the behaviour of the vertex editor panel, has been changed in conjunction with the refactoring of the interactive node editing on

canvas.

However, the usability of the built-in node editor panel (the one with the list of coordinates) suffered a lot.

Currently I see the following issues:

    -  Vertex editor does not automatically open as it did in 2.18. It can be discussed if the automatic opening of the panel as it happened in

2.18 is useful, because most of the time users don't need exact coordinates, but if this behaviour is changed, the user should at least be

able to open the panel on demand from the list of available panel. The vertex editor panel is not in this list currently.

    -  In QGIS 2.18 if a vertex is interactively selected in the canvas, the list in the vertex editor list scrolls to the selected vertex index and

highlights the coordinates of the selected vertex - otherwise the use doesn't know which coordinate he is actually editing. In QGIS 3 this

scrolling and highlighting of the coordinates in the list does not work anymore.

    -  In QGIS 3, the vertex editor panel autocloses as soon as another vertex is selected. Very annoying and makes the editor quite

unusable.

Related issues:

Related to QGIS Application - Bug report # 19911: The vertex editor is not sy... Closed 2018-09-21

Associated revisions

Revision 917c7b6f - 2018-02-23 12:33 PM - Martin Dobias

Do not auto-close vertex editor on any mouse click (ref #17243)

This is a partial fix for #17243 to improve usability of vertex editor panel.

Until now the vertex editor would get closed on any mouse click in mouse canvas,

making it quite annoying to work with it.

With this change, the vertex editor stays open until is is explicitly closed.

History

#1 - 2017-10-04 09:56 AM - Giovanni Manghi

Hi Andreas, this is a very important matter, is being discussed in the users and devs mailing lists?

#2 - 2017-10-04 10:04 AM - Andreas Neumann
Maybe adding a button to open and close the vertex editor panel in the "advanced editing" toolbar would help?

#3 - 2017-10-04 01:36 PM - Giovanni Manghi

- Regression? changed from No to Yes

Andreas Neumann wrote:

Maybe adding a button to open and close the vertex editor panel in the "advanced editing" toolbar would help?

seems a good idea to me.

#4 - 2017-10-04 03:35 PM - Giovanni Manghi

I also tried and agree... is very annoying that the vertex editor panel does not open automatically. Another bad thing is that the selected node in the map is

not anymore highlighted in the vertex editor panel (but vice versa works).

#5 - 2018-01-26 12:47 PM - Alessandro Pasotti

Actually I think that the most annoying part is that it does not stay open when you select another node in the canvas.

I've looked at the code and it's not a trivial fix: the whole vertex editor widget is completely destroyed every time the user selects a new feature or a new

node, this is of course very safe but to restore the old behavior will need some rework.

#6 - 2018-02-26 03:07 PM - Martin Dobias

The most important problem - the third item from the list in ticket description has been fixed in PR https://github.com/qgis/QGIS/pull/6436

The second item - to synchronize vertex selection from vertex tool to vertex editor table is still waiting for a fix.

The first item - this needs some more thoughts. The vertex editor panel could be available all the time, but it would be empty for the whole time until it is

filled with vertex data from vertex tool, so it is questionable if it should be around when empty.

#7 - 2018-09-21 01:22 PM - Harrissou Santanna

- Related to Bug report #19911: The vertex editor is not synchronized with vertex movements in edit mode added

#8 - 2018-10-23 04:12 PM - Regis Haubourg

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

#9 - 2018-11-15 12:17 PM - Bernhard Ströbl

Testing with QGIS 3.4.1

Issue 1 seems fixed because the VertexEditor can be opened by right-clicking in the canvas. However I would opt for opening it from the toolbar as

Andreas suggests or from the panels menu. Would be automatically opened as soon as there are data from the vertex tool and closed if there are none

similar as the advanced digitizing panel: if you enable the panel it is open as soon as a tool is chosen that it supports, but the panel disables and minifies, if

the current tool is not supported.
Issue 2 is still open

Issue 3 seems fixed

#10 - 2018-12-06 12:48 AM - Damien Smith

Since 3.4, the vertex tool is completely, totally and utterly broken.  This needs to be a top priority for QGIS.

#11 - 2018-12-06 07:26 AM - Bernhard Ströbl

Damien Smith wrote:

Since 3.4, the vertex tool is completely, totally and utterly broken.  This needs to be a top priority for QGIS.

Could you elaborate what is broken, compared to e.g. 3.2?

#12 - 2018-12-06 09:47 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.5(master)
